using System;
using System.Collections.Generic;
using System.Text;

namespace PersistentClasses
{
    [Telerik.OpenAccess.Persistent()]
    public class Book : Product
    {
        private int pages;

        public int Pages
        {
            get
            {
                return this.pages;
            }
            set
            {
                this.pages = value;
            }
        }

        private Book()
        {
        }

        public Book(int pages)
            : base()
        {
            this.pages = pages;
        }
    }
}
