﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ReverseMapping.ascx.cs" Inherits="ReverseMapping" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.OpenAccess" Namespace="Telerik.OpenAccess" TagPrefix="telerik" %>
<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
</telerik:RadScriptManager>
<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="RadGrid1">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManager>
<telerik:RadGrid ID="RadGrid1" DataSourceID="OpenAccessDataSource1" Skin="Black"
    Width="100%" AutoGenerateColumns="False" AllowSorting="True" AllowPaging="True"
    runat="server" GridLines="None">
    <MasterTableView DataSourceID="OpenAccessDataSource1">
        <Columns>
            <telerik:GridNumericColumn DataField="ProductID" HeaderText="ProductID" UniqueName="ProductID" />
            <telerik:GridBoundColumn DataField="ProductName" HeaderText="ProductName" UniqueName="ProductName" />
            <telerik:GridBoundColumn DataField="Category.CategoryName" HeaderText="Category"
                AllowSorting="false" />
            <telerik:GridNumericColumn DataField="UnitsInStock" HeaderText="UnitsInStock" Aggregate="None" />
            <telerik:GridCheckBoxColumn DataField="Discontinued" HeaderText="Discontinued" UniqueName="Discontinued" />
            <telerik:GridNumericColumn DataField="UnitPrice" HeaderText="UnitPrice" DataFormatString="{0:c2}"
                UniqueName="UnitPrice" />
        </Columns>
        <PagerStyle Mode="NextPrev" />
    </MasterTableView>
    <HeaderContextMenu Skin="Telerik">
        <CollapseAnimation Duration="200" Type="OutQuint" />
    </HeaderContextMenu>
    <FilterMenu Skin="Telerik">
        <CollapseAnimation Duration="200" Type="OutQuint" />
    </FilterMenu>
</telerik:RadGrid>
<telerik:OpenAccessDataSource ID="OpenAccessDataSource1" runat="server" ObjectContextProvider="PersistentClasses.ObjectScopeProvider1, PersistentClasses"
    TypeName="PersistentClasses.Product" />